<div class="header">
    <h1>Welcome to DIGIMONVERSE</h1>
</div>
  
<div class="card"   
    *ngIf="digimon" 
    (click)="routerHelper.goDigimonComponent(digimon.id)">
    <h5 class="card-id">{{digimon.id}}</h5>
    <h3 class="card-name">{{digimon.name}}</h3> 
    <img class="card-image" [src]="digimon.images[0].href" alt="">
    <div class="card-info">
        <div class="card-infot">
            <div class="card-item">
                <h4>Level</h4> 
                <span *ngFor="let level of digimon.levels">{{level.level}}</span>
            </div>
            <div class="card-item">
                <h4>Attribute</h4> 
                <span *ngFor="let attribute of digimon.attributes">{{attribute.attribute}}</span>
            </div>
            <div class="card-item">
                <h4>Type</h4> 
                <span *ngFor="let type of digimon.types">{{type.type}}</span>
            </div>
        </div>
    </div>
</div>
